Chapter 2. Prerequisites

2.1. Supported Operating Systems

A base installation of Red Hat Enterprise Linux Server 6.6 or later is required to install OpenShift Enterprise 2. Red Hat recommends a "Basic Server" configuration for the base installation, although other configurations are sufficient as a starting point.

Note

Red Hat Enterprise Linux 6 is included with OpenShift Enterprise subscriptions. See Section 2.3, “Red Hat Subscription Requirements” for more information.

Important

At this time, OpenShift Enterprise 2 is only compatible with Red Hat Enterprise Linux Server 6. Future versions will be compatible with Red Hat Enterprise Linux Server 7.